Package com.smartgwt.client.widgets.form.fields

# Class ColorItem

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Field
com.smartgwt.client.widgets.form.fields.FormItem
com.smartgwt.client.widgets.form.fields.TextItem
com.smartgwt.client.widgets.form.fields.ColorItem

All Implemented Interfaces:
  `HasHandlers`, `HasBlurHandlers`, `HasChangedHandlers`, `HasChangeHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasEditorEnterHandlers`, `HasEditorExitHandlers`, `HasFocusHandlers`, `HasIconClickHandlers`, `HasIconKeyPressHandlers`, `HasItemHoverHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasKeyUpHandlers`, `HasPendingStatusChangedHandlers`, `HasPickerColorSelectedHandlers`, `HasPickerIconClickHandlers`, `HasShowContextMenuHandlers`, `HasTitleClickHandlers`, `HasTitleDoubleClickHandlers`, `HasTitleHoverHandlers`, `HasValueHoverHandlers`, `HasValueIconClickHandlers`

Direct Known Subclasses:
  `ColorPickerItem`

public class ColorItem extends TextItem implements HasPickerColorSelectedHandlers
Form item for selecting a color via a pop-up `ColorPicker`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `FormItem.CustomStateGetter, FormItem.StateCustomizer`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `configOnly, scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorItem()`
  `ColorItem(JavaScriptObject jsObj)`
  `ColorItem(String name)`
  `ColorItem(String name, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addPickerColorSelectedHandler(PickerColorSelectedHandler handler)`
  Add a pickerColorSelected handler.
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `static void`
  `changePickerIconDefaults(FormItemIcon defaults)`
  `Boolean`
  `getAllowComplexMode()`
  Should "complex" mode be allowed for the `ColorPicker` window associated with this ColorItem?
  `ColorPickerMode`
  `getDefaultPickerMode()`
  The `defaultPickMode` for the `ColorPicker` associated with this `ColorItem`.
  `ColorFormat`
  `getDisplayFormat()`
  The format used to display the color value in the text field.
  `static ColorItem`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Integer`
  `getPickerIconHeight()`
  If `showPickerIcon` is true for this item, this property governs the size of the picker icon.
  `String`
  `getPickerIconPrompt()`
  Prompt to show when the user hovers the mouse over the picker icon.
  `String`
  `getPickerIconSrc()`
  If `showPickerIcon` is true for this item, this property governs the `src` of the picker icon image to be displayed.
  `Integer`
  `getPickerIconWidth()`
  If `showPickerIcon` is true for this item, this property governs the size of the picker icon.
  `Boolean`
  `getShowPickerIcon()`
  Should the pick button icon be shown for choosing colors from a ColorPicker
  `ColorFormat`
  `getStorageFormat()`
  The format used to store the color value internally.
  `Boolean`
  `getSupportsTransparency()`
  Determines whether the `ColorPicker` associated with this ColorItem allows the user to set transparency/opacity information whilst selecting a color.
  `ColorItem`
  `setAllowComplexMode(Boolean allowComplexMode)`
  Should "complex" mode be allowed for the `ColorPicker` window associated with this ColorItem?
  `ColorItem`
  `setDefaultPickerMode(ColorPickerMode defaultPickerMode)`
  The `defaultPickMode` for the `ColorPicker` associated with this `ColorItem`.
  `static void`
  `setDefaultProperties(ColorItem colorItemProperties)`
  Class level method to set the default properties of this class.
  `ColorItem`
  `setDisplayFormat(ColorFormat displayFormat)`
  The format used to display the color value in the text field.
  `ColorItem`
  `setPickerIconHeight(Integer pickerIconHeight)`
  If `showPickerIcon` is true for this item, this property governs the size of the picker icon.
  `ColorItem`
  `setPickerIconPrompt(String pickerIconPrompt)`
  Prompt to show when the user hovers the mouse over the picker icon.
  `ColorItem`
  `setPickerIconSrc(String pickerIconSrc)`
  If `showPickerIcon` is true for this item, this property governs the `src` of the picker icon image to be displayed.
  `ColorItem`
  `setPickerIconWidth(Integer pickerIconWidth)`
  If `showPickerIcon` is true for this item, this property governs the size of the picker icon.
  `ColorItem`
  `setShowPickerIcon(Boolean showPickerIcon)`
  Should the pick button icon be shown for choosing colors from a ColorPicker
  `ColorItem`
  `setStorageFormat(ColorFormat storageFormat)`
  The format used to store the color value internally.
  `ColorItem`
  `setSupportsTransparency(Boolean supportsTransparency)`
  Determines whether the `ColorPicker` associated with this ColorItem allows the user to set transparency/opacity information whilst selecting a color.

  ### Methods inherited from class com.smartgwt.client.widgets.form.fields.TextItem

  `deselectValue, deselectValue, getBrowserAutoCapitalize, getBrowserAutoCorrect, getBrowserInputType, getChangeOnKeypress, getCharacterCasing, getEditProxyConstructor, getEnforceLength, getEnteredValue, getEscapeHTML, getFetchMissingValues, getFormatOnBlur, getFormatOnFocusChange, getHint, getKeyPressFilter, getLength, getMask, getMaskOverwriteMode, getMaskPadChar, getMaskPromptChar, getMaskSaveLiterals, getPrintFullText, getSaveOnEnter, getSelectionRange, getSelectOnClick, getSelectOnFocus, getShowHintInField, getShowInputElement, getSupportsCutPasteEvents, getSuppressBrowserClearIcon, getTextBoxStyle, getUsePlaceholderForHint, getValueAsString, pendingStatusChanged, selectValue, setBrowserAutoCapitalize, setBrowserAutoCorrect, setBrowserInputType, setChangeOnKeypress, setCharacterCasing, setDefaultProperties, setEditProxyConstructor, setEnforceLength, setEscapeHTML, setFetchMissingValues, setFormatOnBlur, setFormatOnFocusChange, setKeyPressFilter, setLength, setMask, setMaskOverwriteMode, setMaskPadChar, setMaskPromptChar, setMaskSaveLiterals, setPastedValueTransformer, setPrintFullText, setSaveOnEnter, setSelectionRange, setSelectOnClick, setSelectOnFocus, setShowHintInField, setShowInputElement, setSupportsCutPasteEvents, setSuppressBrowserClearIcon, setTextBoxStyle, setUsePlaceholderForHint, shouldFetchMissingValue`

  ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIcon, addIcon, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addShowContextMenuHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, applyFormula, asSGWTComponent, blurItem, canEditCriterion, checkFormItemType, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusAfterItem, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getAlwaysShowControlBox, getApplyAlignToText, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getAutoCompleteKeywords, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanHover, getCanSelectText, getCanTabToIcons, getCanvasAutoChild, getCellHeight, getCellStyle, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDefaultOperator, getDefaultValue, getDeferActionConversion, getDestroyed, getDisabled, getDisabledHover, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEnableTitleClickWhenDisabled, getEndRow, getErrorIconHeight, getErrorIconProperties, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getExportFormat, getExtraControlTableCSS, getExtraTextBoxCSS, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFormula, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHintStyle, getHoverAlign, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHeightAsString, getHoverOpacity, getHoverPersist, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWidthAsString, getIcon, getIconBaseStyle, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIcons, getIconTabPosition, getIconVAlign, getIconWidth, getID, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLinearColSpan, getLinearColSpanAsString, getLinearEndRow, getLinearEndRowAsString, getLinearStartRow, getLinearStartRowAsString, getLinearWidth, getLinearWidthAsString, getListGrid, getLoadingDisplayValue, getLocateItemBy, getMinHintWidth, getMultiple, getMultipleValueSeparator, getName, getNullOriginalValueText, getOperator, getOptionCriteria, getOptionDataSource, getOptionDataSourceAsString, getOptionFilterContext, getOptionOperationId, getOptionTextMatchStyle, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPaletteDefaults, getPermanentlyHidden, getPicker, getPickerEscapeHTML, getPickerIcon, getPickerIcon, getPickerIconName, getPickerIconProperties, getPickerIconStyle, getPickerIconTabPosition, getPickerSnapEdge, getPickerSnapTo, getPixelHeight, getPixelWidth, getPrintReadOnlyTextBoxStyle, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyCanSelectText, getReadOnlyControlStyle, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getReadOnlyWhen, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRequiredRightTitlePrefix, getRequiredRightTitleSuffix, getRequiredTitlePrefix, getRequiredTitleSuffix, getRequiredWhen, getRightTitlePrefix, getRightTitleSuffix, getRowSpan, getScClassName, getSelectedRecord, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowDisabledIconsOnFocus, getShowDisabledPickerIconOnFocus, getShowErrorIcon, getShowErrorIconInline, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowIconsOnFocus, getShowImageAsURL, getShowOldValueInHover, getShowOver, getShowOverIcons, getShowPending, getShowPickerIconOnFocus, getShowPickerOnFocus, getShowPickerOnFocusDelay, getShowRTL, getShowTitle, getShowValueIconOnly, getShowVoiceAssistIcon, getStartRow, getStaticHeight, getStopOnError, getStoreDisplayValues, getSuppressOptionDSFallback, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextBoxVPad, getTextFormula, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitlePrefix, getTitleStyle, getTitleSuffix, getTitleVAlign, getTooltip, getTop, getTreatEmptyAsNull, getType, getUpdateControlOnOver, getUpdatePickerIconOnOver, getUpdateTextBoxOnOver, getUseAdvancedCriteria, getUseDisabledHintStyleForReadOnly, getUseLocalDisplayFieldValue, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsFloat, getValueAsInteger, getValueAsLong, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconAriaRole, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getValueMap, getValueMapAsArray, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWhen, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidth, getWidthAsString, getWrapHintText, getWrapStaticValue, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isAssignableFrom, isConfigOnly, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, removeIcon, selectedRecordChanged, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setAlwaysShowControlBox, setApplyAlignToText, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setAutoCompleteKeywords, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanHover, setCanSelectText, setCanTabToIcons, setCellHeight, setCellStyle, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setConfigOnly, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultOperator, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDeferActionConversion, setDisabled, setDisabledHover, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEnableTitleClickWhenDisabled, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconProperties, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setExportFormat, setExtraControlTableCSS, setExtraTextBoxCSS, setFilterLocally, setForeignDisplayField, setFormat, setFormula, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverHeight, setHoverOpacity, setHoverPersist, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWidth, setIconBaseStyle, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconShowOnFocus, setIconVAlign, setIconWidth, setID, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLinearColSpan, setLinearColSpan, setLinearEndRow, setLinearEndRow, setLinearStartRow, setLinearStartRow, setLinearWidth, setLinearWidth, setLoadingDisplayValue, setLocateItemBy, setMinHintWidth, setMultiple, setMultipleValueSeparator, setName, setNullOriginalValueText, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOptionTextMatchStyle, setOriginalValueMessage, setPermanentlyHidden, setPickerEscapeHTML, setPickerIconName, setPickerIconProperties, setPickerIconStyle, setPickerSnapEdge, setPickerSnapTo, setPrintReadOnlyTextBoxStyle, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyCanSelectText, setReadOnlyControlStyle, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setReadOnlyWhen, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRequiredRightTitlePrefix, setRequiredRightTitleSuffix, setRequiredTitlePrefix, setRequiredTitleSuffix, setRequiredWhen, setRightTitlePrefix, setRightTitleSuffix, setRowSpan, setScClassName, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowDisabledIconsOnFocus, setShowDisabledPickerIconOnFocus, setShowErrorIcon, setShowErrorIconInline, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIconsOnFocus, setShowIfCondition, setShowImageAsURL, setShowOldValueInHover, setShowOver, setShowOverIcons, setShowPending, setShowPickerIconOnFocus, setShowPickerOnFocus, setShowPickerOnFocusDelay, setShowRTL, setShowTitle, setShowValueIconOnly, setShowVoiceAssistIcon, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setStoreDisplayValues, setSuppressOptionDSFallback, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextBoxVPad, setTextFormula, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitlePrefix, setTitleStyle, setTitleSuffix, setTitleVAlign, setTooltip, setTop, setTreatEmptyAsNull, setType, setUpdateControlOnOver, setUpdatePickerIconOnOver, setUpdateTextBoxOnOver, setUseAdvancedCriteria, setUseDisabledHintStyleForReadOnly, setUseLocalDisplayFieldValue, setUseObjectFactoryForTypeFallback, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueByDisplayValue, setValueByDisplayValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconAriaRole, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setVisibleWhen, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWidth, setWrapHintText, setWrapStaticValue, setWrapTitle, shouldApplyHeightToTextBox, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

  ### Methods inherited from class com.smartgwt.client.data.Field

  `getCanExport, getExportTitle, getPrimaryKey, getSortByField, setCanExport, setExportTitle, setPrimaryKey, setSortByField`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### ColorItem

    public ColorItem()

  - ### ColorItem

    public ColorItem(JavaScriptObject jsObj)

  - ### ColorItem

    public ColorItem(String name)

  - ### ColorItem

    public ColorItem(String name, String title)

- ## Method Details

  - ### getOrCreateRef

    public static ColorItem getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changePickerIconDefaults

    public static void changePickerIconDefaults(FormItemIcon defaults)

  - ### setAllowComplexMode

    public ColorItem setAllowComplexMode(Boolean allowComplexMode)
    Should "complex" mode be allowed for the `ColorPicker` window associated with this ColorItem?

    If false, no "More" button is shown on the simple picker

    Parameters:
      `allowComplexMode` - New allowComplexMode value. Default value is true
    Returns:
      `ColorItem` instance, for chaining setter calls

  - ### getAllowComplexMode

    public Boolean getAllowComplexMode()
    Should "complex" mode be allowed for the `ColorPicker` window associated with this ColorItem?

    If false, no "More" button is shown on the simple picker

    Returns:
      Current allowComplexMode value. Default value is true

  - ### setDefaultPickerMode

    public ColorItem setDefaultPickerMode(ColorPickerMode defaultPickerMode)
    The `defaultPickMode` for the `ColorPicker` associated with this `ColorItem`.
    Parameters:
      `defaultPickerMode` - New defaultPickerMode value. Default value is "simple"
    Returns:
      `ColorItem` instance, for chaining setter calls
    See Also:
      - `ColorPicker.setDefaultPickMode(com.smartgwt.client.types.ColorPickerMode)`

  - ### getDefaultPickerMode

    public ColorPickerMode getDefaultPickerMode()
    The `defaultPickMode` for the `ColorPicker` associated with this `ColorItem`.
    Returns:
      Current defaultPickerMode value. Default value is "simple"
    See Also:
      - `ColorPicker.getDefaultPickMode()`

  - ### setDisplayFormat

    public ColorItem setDisplayFormat(ColorFormat displayFormat)
    The format used to display the color value in the text field. Any valid CSS color input is accepted regardless of this setting; the display is converted to this format for presentation.
    Parameters:
      `displayFormat` - New displayFormat value. Default value is "hex"
    Returns:
      `ColorItem` instance, for chaining setter calls

  - ### getDisplayFormat

    public ColorFormat getDisplayFormat()
    The format used to display the color value in the text field. Any valid CSS color input is accepted regardless of this setting; the display is converted to this format for presentation.
    Returns:
      Current displayFormat value. Default value is "hex"

  - ### setPickerIconHeight

    public ColorItem setPickerIconHeight(Integer pickerIconHeight)
    If `showPickerIcon` is true for this item, this property governs the size of the picker icon. If unset, the picker icon will be sized as a square to fit in the available height for the icon.

    Note that if spriting is being used, and the image to be displayed is specified using css properties such as `background-image`, `background-size`, changing this value may result in an unexpected appearance as the image will not scale.
    Scaleable spriting can be achieved using the `SCSpriteConfig` format. See the section on spriting in the `skinning overview` for further information.

    Overrides:
      `setPickerIconHeight` in class `FormItem`
    Parameters:
      `pickerIconHeight` - New pickerIconHeight value. Default value is 18
    Returns:
      `ColorItem` instance, for chaining setter calls

  - ### getPickerIconHeight

    public Integer getPickerIconHeight()
    If `showPickerIcon` is true for this item, this property governs the size of the picker icon. If unset, the picker icon will be sized as a square to fit in the available height for the icon.

    Note that if spriting is being used, and the image to be displayed is specified using css properties such as `background-image`, `background-size`, changing this value may result in an unexpected appearance as the image will not scale.
    Scaleable spriting can be achieved using the `SCSpriteConfig` format. See the section on spriting in the `skinning overview` for further information.

    Overrides:
      `getPickerIconHeight` in class `FormItem`
    Returns:
      Current pickerIconHeight value. Default value is 18

  - ### setPickerIconPrompt

    public ColorItem setPickerIconPrompt(String pickerIconPrompt)
    Prompt to show when the user hovers the mouse over the picker icon.
    Overrides:
      `setPickerIconPrompt` in class `FormItem`
    Parameters:
      `pickerIconPrompt` - New pickerIconPrompt value. Default value is "Click to select a new color"
    Returns:
      `ColorItem` instance, for chaining setter calls
    See Also:
      - `HTMLString`

  - ### getPickerIconPrompt

    public String getPickerIconPrompt()
    Prompt to show when the user hovers the mouse over the picker icon.
    Overrides:
      `getPickerIconPrompt` in class `FormItem`
    Returns:
      Current pickerIconPrompt value. Default value is "Click to select a new color"
    See Also:
      - `HTMLString`

  - ### setPickerIconSrc

    public ColorItem setPickerIconSrc(String pickerIconSrc)
    If `showPickerIcon` is true for this item, this property governs the `src` of the picker icon image to be displayed.

    `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string.

    Overrides:
      `setPickerIconSrc` in class `FormItem`
    Parameters:
      `pickerIconSrc` - New pickerIconSrc value. Default value is "[SKIN]/DynamicForm/ColorPicker_icon.png"
    Returns:
      `ColorItem` instance, for chaining setter calls
    See Also:
      - `SCImgURL`

  - ### getPickerIconSrc

    public String getPickerIconSrc()
    If `showPickerIcon` is true for this item, this property governs the `src` of the picker icon image to be displayed.

    `Spriting` can be used for this image, by setting this property to a `SCSpriteConfig` formatted string.

    Overrides:
      `getPickerIconSrc` in class `FormItem`
    Returns:
      Current pickerIconSrc value. Default value is "[SKIN]/DynamicForm/ColorPicker_icon.png"
    See Also:
      - `SCImgURL`

  - ### setPickerIconWidth

    public ColorItem setPickerIconWidth(Integer pickerIconWidth)
    If `showPickerIcon` is true for this item, this property governs the size of the picker icon. If unset, the picker icon will be sized as a square to fit in the available height for the icon.

    Note that if spriting is being used, and the image to be displayed is specified using css properties such as `background-image`, `background-size`, changing this value may result in an unexpected appearance as the image will not scale.
    Scaleable spriting can be achieved using the `SCSpriteConfig` format. See the section on spriting in the `skinning overview` for further information.

    Overrides:
      `setPickerIconWidth` in class `FormItem`
    Parameters:
      `pickerIconWidth` - New pickerIconWidth value. Default value is 18
    Returns:
      `ColorItem` instance, for chaining setter calls

  - ### getPickerIconWidth

    public Integer getPickerIconWidth()
    If `showPickerIcon` is true for this item, this property governs the size of the picker icon. If unset, the picker icon will be sized as a square to fit in the available height for the icon.

    Note that if spriting is being used, and the image to be displayed is specified using css properties such as `background-image`, `background-size`, changing this value may result in an unexpected appearance as the image will not scale.
    Scaleable spriting can be achieved using the `SCSpriteConfig` format. See the section on spriting in the `skinning overview` for further information.

    Overrides:
      `getPickerIconWidth` in class `FormItem`
    Returns:
      Current pickerIconWidth value. Default value is 18

  - ### setShowPickerIcon

    public ColorItem setShowPickerIcon(Boolean showPickerIcon)
    Should the pick button icon be shown for choosing colors from a ColorPicker
    Overrides:
      `setShowPickerIcon` in class `FormItem`
    Parameters:
      `showPickerIcon` - New showPickerIcon value. Default value is true
    Returns:
      `ColorItem` instance, for chaining setter calls

  - ### getShowPickerIcon

    public Boolean getShowPickerIcon()
    Should the pick button icon be shown for choosing colors from a ColorPicker
    Overrides:
      `getShowPickerIcon` in class `FormItem`
    Returns:
      Current showPickerIcon value. Default value is true

  - ### setStorageFormat

    public ColorItem setStorageFormat(ColorFormat storageFormat)
    The format used to store the color value internally. Any valid CSS color input is accepted regardless of this setting; the value is converted to this format for storage.
    Parameters:
      `storageFormat` - New storageFormat value. Default value is "hex"
    Returns:
      `ColorItem` instance, for chaining setter calls

  - ### getStorageFormat

    public ColorFormat getStorageFormat()
    The format used to store the color value internally. Any valid CSS color input is accepted regardless of this setting; the value is converted to this format for storage.
    Returns:
      Current storageFormat value. Default value is "hex"

  - ### setSupportsTransparency

    public ColorItem setSupportsTransparency(Boolean supportsTransparency)
    Determines whether the `ColorPicker` associated with this ColorItem allows the user to set transparency/opacity information whilst selecting a color. If false, no opacity slider is shown and all colors are 100% opaque.

    When an opacity value is selected, the HTML color string produced is 8 characters long because the opacity setting is included. You can also capture the the separate color and opacity information by overriding `ColorItem.pickerColorSelected()`.

    Parameters:
      `supportsTransparency` - New supportsTransparency value. Default value is true
    Returns:
      `ColorItem` instance, for chaining setter calls

  - ### getSupportsTransparency

    public Boolean getSupportsTransparency()
    Determines whether the `ColorPicker` associated with this ColorItem allows the user to set transparency/opacity information whilst selecting a color. If false, no opacity slider is shown and all colors are 100% opaque.

    When an opacity value is selected, the HTML color string produced is 8 characters long because the opacity setting is included. You can also capture the the separate color and opacity information by overriding `ColorItem.pickerColorSelected()`.

    Returns:
      Current supportsTransparency value. Default value is true

  - ### addPickerColorSelectedHandler

    public HandlerRegistration addPickerColorSelectedHandler(PickerColorSelectedHandler handler)
    Add a pickerColorSelected handler.

    Store the color value selected by the user from the color picker. You will need to override this method if you wish to capture opacity information from the `ColorPicker`.

    Specified by:
      `addPickerColorSelectedHandler` in interface `HasPickerColorSelectedHandlers`
    Parameters:
      `handler` - the pickerColorSelected handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### setDefaultProperties

    public static void setDefaultProperties(ColorItem colorItemProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `colorItemProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`